Skip to main content
DELETE
/
api
/
v1
/
api-keys
/
{api_key_id}
curl -X DELETE "https://api.fileguard.io/api/v1/api-keys/key_m1n2o3p4q5r6" \
  -H "Authorization: Bearer fg_your_api_key"
{
  "status": "SUCCESS",
  "message": "API key revoked successfully",
  "data": {
    "api_key_id": "key_m1n2o3p4q5r6",
    "status": "revoked"
  },
  "timestamp": "2026-01-04T14:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://fileguard.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Permanently revoke an API key. This action cannot be undone.

Path Parameters

api_key_id
string
required
API key identifier
curl -X DELETE "https://api.fileguard.io/api/v1/api-keys/key_m1n2o3p4q5r6" \
  -H "Authorization: Bearer fg_your_api_key"
{
  "status": "SUCCESS",
  "message": "API key revoked successfully",
  "data": {
    "api_key_id": "key_m1n2o3p4q5r6",
    "status": "revoked"
  },
  "timestamp": "2026-01-04T14:00:00Z"
}
Revoked keys cannot be reactivated. Create a new key instead.